package svet;
import svet.chovatelstvi.morcata.*;
import svet.chovatelstvi.psi.*;
import svet.chovatelstvi.psi.bojovi.Pitbull;
public class Svet {
    Urad urad;
    ChovatelPsu jiri, radka;
    Pes kuba, lovec, rafan;
    ChovatelMorcat andrea;
    Morce pepik, franta;
    SvazChovateluPsu svaz;

    void funguj() {
        // Vytvoen adu
        urad = new Urad();
        // Vytvoen chovatel
        jiri = new ChovatelPsu("Jiri Sedivy", Clovek.MUZ);
        radka = new ChovatelPsu("Radka Mala", Clovek.ZENA);
        kuba = new Vorisek("Kuba");
        // Vytvoen ps
        lovec = new LoveckyPes("Lovec", "jezevcik");
        rafan = new Pitbull("Rafan", 5);
        // Piazen ps k chovatelm
        jiri.zaradZvire(kuba);
        jiri.zaradZvire(lovec);
        radka.zaradZvire(rafan);

        // Vytvoen chovatelky morat
        andrea = new ChovatelMorcat("Andrea Novotna", Clovek.ZENA);
        // Vytvoen a piazen morat k majitelm
        andrea.zaradZvire(new Morce("Pepik"));
        andrea.zaradZvire(new Morce("Franta"));

        // Vytvoen svazu chovatel
        svaz = new SvazChovateluPsu("Hafani");
        // Registrace svazu chovatel na adu
        urad.registruj(svaz);

        // Zskn cviitele od svazu chovatel
        CvicitelPsu cvicitel = svaz.poskytniCvicitele();
        // Vcvik ps
        cvicitel.vycvic(lovec);
        cvicitel.vycvic(rafan);

        // Vpis informac o chovatelch
        andrea.vypisInfo();
        jiri.vypisInfo();
        radka.vypisInfo();

        // Dotaz na registraci sdruen "Hafani"
        Sdruzeni s = urad.getSdruzeni("Hafani");
        System.out.println("Na uradu je registrovano sdruzeni "
            +s.getNazev());
    }

    public static void main(String args[]) {
        // Vytvoen a zprovoznn "svta"
        new Svet().funguj();
    }
}