package svet.chovatelstvi.psi;
import svet.chovatelstvi.AbstraktniChovatel;
import svet.chovatelstvi.Chovatel;
import svet.chovatelstvi.DomaciZvire;
import svet.chovatelstvi.JineZvireNekoupiException;
import svet.chovatelstvi.ZvireNekoupiException;
import svet.chovatelstvi.NemaZvireException;
import java.util.Iterator;
public class ChovatelPsu extends AbstraktniChovatel {
	public ChovatelPsu(String jmeno, boolean pohlavi) {
		super(jmeno, pohlavi);
	}
    /** Metoda realizujc nkup psa chovatelem ps
      * @param zvire Kupovan pes
      * @exception BezPrukazuNekoupiException Tato vjimka
      * vznikne, jestlie se chovatel pokus koupit psa 
      * bez prkazu pvodu.
      * @exception JineZvireNekoupiException Tato vjimka
      * vznikne, jestlie se chovatel pokus koupit jin 
      * zve ne psa.
      */
	public void kupZvire(DomaciZvire zvire)	{
        if (zvire instanceof Pes) {
            Pes pes = (Pes)zvire;
            if (pes.maPrukazPuvodu())
		        zaradZvire(pes);
		    else throw new BezPrukazuNekoupiException(pes);
		} else throw new JineZvireNekoupiException(zvire);
	}
	public void prodejZvire(DomaciZvire zvire, Chovatel novyMajitel) {
        if (!maZvire(zvire))
            throw new NemaZvireException(zvire);
	    try {
            novyMajitel.kupZvire(zvire);
            vyradZvire(zvire);
        } catch (ZvireNekoupiException ne) {
            System.out.println(
                novyMajitel.getJmeno()+" nechce "
                +zvire.getJmeno()+" koupit, protoe "
                +ne+" Zstv tedy pvodnmu majiteli "
                +getJmeno());
            throw ne;
        }
	}
	public float getZaplacenoZaVycvik() {
	    return zaplacenoZaVycvik;
	}
	public float getZaplacenoPoplatku() {
	    return zaplacenoPoplatku;
	}
	public void zaplatPoplatek(SpravcePoplatkuZaPsy u) {
	    float poplatek = 0;
	    for (Iterator p = zvirata().iterator(); p.hasNext();) {
	        Pes pes = (Pes)p.next();
	        poplatek = pes.getPoplatek();
    	    u.prijmiPoplatekZaPsa(this, pes, poplatek);
	        zaplacenoPoplatku += poplatek;
	    }
	}
	private float zaplacenoPoplatku;
	private float zaplacenoZaVycvik;
}